Subject: Various questions on wu-ftpd 2.4

From: [email-masked] (Giustino Scardovelli)
Date: Thu, 28 Sep 1995 14:40:28 -0400

Hi all,
I'm building up a wu-ftp 2.4 anonymous ftp site under Solaris 2.4.
I set it up and it works, but it has some problems:

(1) when a user uploads a file, the upload is performed but user
    cannot see the file he just sent.

    To me, it seems a file-system permissions misconfiguration.
    Could someone DEFINITIVELY tell me what are the most secure
    owner,group and mode of all branches in the ftp hierarchy
    when runninf wu-ftpd under Solaris 2.4?

    There are different opinions out there. For example Solaris
    2.4 in.ftpd man page says the owner of the ftp hierarchy should 
    be ftp, but in some anonymous_ftp_FAQ it is recommended to have
    the ftp hierarchy owned by root. What about the /pub subdirs ?

(2) upload rules are not respected: REAL USERS CAN UPLOAD FILES EVERYWHERE !!!!

    This is my hierarchy and permissions i would like to have for real,guest
    and anonymous users (same treatment from the uploads point of view):

    DIRECTORY                 UPLOAD  CREATE-DIR
    /ftp                        NO      NO
    /ftp/bin                    NO      NO     
    /ftp/dev                    NO      NO 
    /ftp/etc                    NO      NO 
    /ftp/Obin                   NO      NO 
    /ftp/pub                    NO      NO 
    /ftp/pub/applications       NO      NO      
    /ftp/pub/doc                NO      NO 
    /ftp/pub/incoming          YES      YES   on subdirectories too
    /ftp/pub/outgoing          YES      YES   on subdirectories too
    /ftp/pub/utilities          NO      NO   
    /ftp/usr                    NO      NO

    This is the set of upload rules I have in the ftpaccess file:

    upload  /ftp    *               no
    upload  /ftp    /pub/incoming   yes     root    trad    0666    dirs
    upload  /ftp    /pub/outgoing   yes     root    trad    0666    dirs
    upload  /ftp    /pub/incoming/* yes     root    trad    0666    dirs
    upload  /ftp    /pub/outgoing/* yes     root    trad    0666    dirs

    The trad group is the translators user group. Should I put this
    group in the /etc/ftpgroups file?

Any help would be very appeciated.
    Thanks in advance